#ifndef SVM_H
#define SVM_H
#include <opencv2/imgproc/imgproc.hpp>
#include<opencv2/opencv.hpp>
#include <vector>
#include <string>
//#include "main.h"

using namespace cv;
using namespace std;

class svm
{
    public:
     // int findBiggestContour(vector<vector<Point> > contours);
      void setTrainingData();
      void train();
      void test();
      float testOneSample(Mat image1, int number);
    protected:
    private:
};

#endif // SVM_H
